/*
 * Class SED_ABSTRACT_OBJECTS_TABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_288 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_288 [] = {0xFF01,1551,287,0xFFFF};
static const EIF_TYPE_INDEX egt_2_288 [] = {0xFF01,287,0xFFFF};
static const EIF_TYPE_INDEX egt_3_288 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_288 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_288 [] = {0xFF01,287,0xFFFF};
static const EIF_TYPE_INDEX egt_6_288 [] = {0xFF01,287,0xFFFF};
static const EIF_TYPE_INDEX egt_7_288 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_288 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_288 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_288 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_288 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_288 [] = {0xFF01,287,0xFFFF};


static const struct desc_info desc_288[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_288), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_288), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_288), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_288), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_288), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_288), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_288), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_288), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_288), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_288), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_288), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_288), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x023F /*287*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_288), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 5568, 0},
};
void Init288(void)
{
	IDSC(desc_288, 0, 287);
	IDSC(desc_288 + 1, 1, 287);
	IDSC(desc_288 + 32, 320, 287);
}


#ifdef __cplusplus
}
#endif
